Page MenuHomePhabricator

Remove orphaned echo_event rows
Closed, ResolvedPublic

Description

On enwiki, there are about 80M rows in the echo_event table, but only 18M of them have echo_notification rows pointing to them. That leaves 62M orphans. We should change the notification removal code to delete orphaned events, and also do a one-off cleanup removing those 62M orphans.

Event Timeline

Catrope created this task.May 27 2016, 5:42 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 27 2016, 5:42 PM

Change 292974 had a related patch set uploaded (by Catrope):
Add script to remove orphaned event rows

https://gerrit.wikimedia.org/r/292974

Change 292974 merged by jenkins-bot:
Add script to remove orphaned event rows

https://gerrit.wikimedia.org/r/292974

Mentioned in SAL [2016-06-21T13:11:28Z] <RoanKattouw> Running extensions/Echo/maintenance/removeOrphanedEvents.php on all Echo-enabled wikis for T136425

Mentioned in SAL [2016-06-21T13:11:28Z] <RoanKattouw> Running extensions/Echo/maintenance/removeOrphanedEvents.php on all Echo-enabled wikis for T136425

This is now done. It took 8 hours and 50 minutes. I didn't get a count of how many rows it removed, but across all wikis combined it's certainly over 100M.

Catrope closed this task as Resolved.Jun 21 2016, 10:38 PM
Catrope claimed this task.